import { useRef, useEffect } from 'react';
import { select, axisLeft, timeFormat } from 'd3';

const tickFormat = timeFormat('%b/%y');
export const YAxis = ({ yScale, innerWidth }) => {
  const ref = useRef();
  useEffect(() => {
  	const yAxisG = select(ref.current);
    const yAxis = axisLeft(yScale).tickSize(-innerWidth).tickPadding(18);
    yAxisG.call(yAxis);
  }, []);
 return <g ref={ref} />;
};